#include <bits/stdc++.h>

using namespace std;

int main()
{
    string a, b, c;
    string brojevi[6];

    cin >> a >> b >> c;

    brojevi[0] = a + b + c;
    brojevi[1] = a + c + b;
    brojevi[2] = b + a + c;
    brojevi[3] = b + c + a;
    brojevi[4] = c + a + b;
    brojevi[5] = c + b + a;

    sort(brojevi, brojevi + 6);

    cout << brojevi[5];

    return 0;
}